%define name    Web-FTP
%define version 1.5.1a
%define release 1mdk


Summary:        A perl web based ftp client
Name:           %{name}
Version:        %{version}
Release:        %{release}
Copyright:      GPL
URL:            http://www.web-ftp.org
Group:          Networking/File transfer
Source:         %{name}-%{version}.tar.bz2
Buildarch:      noarch
buildroot:      %{_tmppath}/%{name}-buildroot

%description
A perl Web based ftp client with many features. Allows you to create, delete,
and move files based on your permissions.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %name-1.5.1

%build

%install
mkdir -p $RPM_BUILD_ROOT/home/httpd/cgi-bin
install -m 644 web-ftp.conf $RPM_BUILD_ROOT/home/httpd/cgi-bin/web-ftp.conf
install -s -m 755 WebFTPPages.pm $RPM_BUILD_ROOT/home/httpd/cgi-bin/WebFTPPages.pm
install -s -m 755 MiniServer.pm $RPM_BUILD_ROOT/home/httpd/cgi-bin/MiniServer.pm
install -s -m 755 web-ftp.cgi $RPM_BUILD_ROOT/home/httpd/cgi-bin/web-ftp.cgi
install -m 644 INSTALL $RPM_BUILD_ROOT/home/httpd/cgi-bin/INSTALL
install -m 644 LICENSE $RPM_BUILD_ROOT/home/httpd/cgi-bin/LICENSE
install -m 644 README $RPM_BUILD_ROOT/home/httpd/cgi-bin/README

%files
%defattr (-,root,root)
%doc INSTALL LICENSE README
/home/httpd/cgi-bin/web-ftp.conf
/home/httpd/cgi-bin/WebFTPPages.pm
/home/httpd/cgi-bin/MiniServer.pm
/home/httpd/cgi-bin/web-ftp.cgi
/home/httpd/cgi-bin/INSTALL
/home/httpd/cgi-bin/LICENSE
/home/httpd/cgi-bin/README

%changelog
* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1a-1mdk
- updated to 1.5.1a
- added docs

* Sun Jul 30 2000 John Johnson <jjohnson@linux-mandrake.com> 1.1.3-1mdk
- Made mandrake rpm
